playeffect("bedroom",true)
if not flags.firstloc11 then
  flags.firstloc11=true
  CreatePlashechka("580")
end;

speciale_action(2,125)
speciale_action(2,125,true,3)
speciale_action(2,124,true,2.9)
speciale_action(2,127)
speciale_action(2,127,true,3)
speciale_action(2,126,true,2.9)
speciale_action(2,129)
speciale_action(2,129,true,3)
speciale_action(2,128,true,2.9)

setCursor(obj.door_KoridorMuzeya_11_0.id,6);
setCursor(obj.door_NotariusHidden_11_0.id,2);
setCursor(obj.strelka2_11_0.id,4);
setCursor(obj.mini_NotariusYaschik_11_0.id,2);
setCursor(obj.mini_Portret_11_0.id,2);

function SelectRandom()
  if not neighbors.NotariusHidden.lock then
    giveMeHint(obj.door_NotariusHidden_11_0.id);
  return end
  if obj.kartina_9_16 and obj.kartina_9_16.is_collapsed and not neighbors.Portret.lock then
    giveMeHint(obj.mini_Portret_11_0.id);
  return end
  if obj.strelka2_11_0 and not obj.strelka2_11_0.is_collapsed then
    giveMeHint(obj.strelka2_11_0.id);
  return end
  if (flags.kandelyabr and not neighbors.MidBumagi.lock
  and obj.sova_10_1 and obj.sova_10_1.is_collapsed
  and obj.molotok_9_1 and obj.molotok_9_1.is_collapsed
  and obj.vesy_10_1 and obj.vesy_10_1.is_collapsed) then
    giveMeHint(obj.mini_NotariusYaschik_11_0.id);
  return end
  CreatePlashechka("10001")
end;

if neighbors.NotariusHidden.lock then
  set_visible_object(obj.door_NotariusHidden_11_0.id,false)
else
  set_visible_object(obj.door_NotariusHidden_11_0.id,true)
end
if neighbors.Portret.lock then
  set_visible_object(obj.mini_Portret_11_0.id,false)
  
  set_visible_object(800,true)
end
if neighbors.Statuetki.lock then
  set_visible_object(obj.yaschik_vydvinut_11_0.id,true)
else
  set_visible_object(obj.yaschik_vydvinut_11_0.id,false)
end
if neighbors.MidBumagi.lock then
  set_visible_object(obj.mini_NotariusYaschik_11_0.id,false)
end

if flags.kartinuUstanovil and not neighbors.Portret.lock then
set_visible_object(801,true)
end;

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==36 then
    if obj_id==4111 then
      StartTravel(211,2,nil,nil,flySp,flySp1);
      StartTimer(4111,20)
    return;end;
    if obj_id==4121 then
      StartTravel(212,2,nil,nil,flySp2,flySp1);
      StartTimer(4121,22)
    return;end;    
    if obj_id==4131 then
      StartTravel(213,2,nil,nil,flySp3,flySp1);
      StartTimer(4131,30)
    return;end;    
    if obj_id==4141 then
      StartTravel(214,2,nil,nil,flySp4,flySp1);
      StartTimer(4141,18)
    return;end;        
  return;end;      
  if sender==16 then
    if obj_id==124 then
      speciale_action(2,125,true,3)
      speciale_action(2,124,true,2.9)    
    return;end;
    if obj_id==125 then
      speciale_action(2,124,true,3)
      speciale_action(2,125,true,2.9)    
    return;end;    
    if obj_id==126 then
      speciale_action(2,127,true,3)
      speciale_action(2,126,true,2.9)    
    return;end;
    if obj_id==127 then
      speciale_action(2,126,true,3)
      speciale_action(2,127,true,2.9)    
    return;end;        
    if obj_id==128 then
      speciale_action(2,129,true,3)
      speciale_action(2,128,true,2.9)    
    return;end;
    if obj_id==129 then
      speciale_action(2,128,true,3)
      speciale_action(2,129,true,2.9)    
    return;end;        
  return;end;      
  
  if sender==1 then
    if obj_id == obj.strelka2_11_0.id then
      StoreObj(obj.strelka2_11_0.id)
      StopEmiter("Inv_11_1")
    end
    if obj_id == obj.door_KoridorMuzeya_11_0.id then
      jump("KoridorMuzeya");
    end;
    if obj_id == obj.door_NotariusHidden_11_0.id then
      flags.is_hidden_loc = true;
      jump("NotariusHidden");
    end;
    if obj_id == obj.mini_Portret_11_0.id then
      CreateSatelite("Portret");
      playeffect("sat")
    end;
    if obj_id == obj.mini_NotariusYaschik_11_0.id then
      if neighbors.Statuetki.lock then
        CreateSatelite("MidBumagi");
        playeffect("sat")
      else
        CreateSatelite("Statuetki");
        playeffect("sat")
      end
    end
  end
  -- if sender == 8 then
    -- dofile("./data/11/0/comics.lua")
  -- end
end


